package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class CheckTest {

    Check check = new Check();


    @Test
    public void testGetSet_Id(){
        check.setId(867);

        long expected = 867;
        long actual = check.getId();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_PayerName(){
        check.setPayerName("Kenneth");

        String expected = "Kenneth";
        String actual = check.getPayerName();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_RoutingNumber(){
        check.setRoutingNumber("63783748924");

        String expected = "63783748924";
        String actual = check.getRoutingNumber();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_AccountNumber(){
        check.setAccountNumber("934858");

        String expected = "934858";
        String actual = check.getAccountNumber();

        Assert.assertEquals(expected, actual);
    }


    @Test
    public void testGet_ShortDescription(){

        check.setId(459);
        check.setRoutingNumber("2815");
        check.setPayerName("Angel");
        check.setAccountNumber("9532850");

        String expected = "Check Angel ***2850";
        String actual = "Check " + check.getPayerName() + " ***" + check.getAccountNumber().substring(3);

        Assert.assertEquals(expected, actual);
    }
}
