package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class CreditCardTest {

    CreditCard creditCard = new CreditCard();

    @Test
    public void testGetSet_Id(){
        creditCard.setId(867);

        long expected = 867;
        long actual = creditCard.getId();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_PayerName(){
        creditCard.setPayerName("Kenneth");

        String expected = "Kenneth";
        String actual = creditCard.getPayerName();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_Number(){
        creditCard.setNumber("7658493");

        String expected = "7658493";
        String actual = creditCard.getNumber();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_ExpiredMonth(){
        creditCard.setExpiredMonth(8);

        long expected = 8;
        long actual = creditCard.getExpiredMonth();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_ExpiredYear(){
        creditCard.setExpiredYear(2814);

        long expected = 2814;
        long actual = creditCard.getExpiredYear();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGet_ShortDescription(){

        creditCard.setId(459);
        creditCard.setNumber("2815");
        creditCard.setPayerName("Angel");
        creditCard.setExpiredMonth(12);
        creditCard.setExpiredYear(1996);

        String expected = "CC Angel 2815 12/1996";
        String actual = "CC" + creditCard.getPayerName() + creditCard.getNumber() + creditCard.getExpiredMonth() + "/" + creditCard.getExpiredYear();
    }
}
