package com.zipcoder.payment;

import org.junit.Assert;
import org.junit.Test;

public class PayPalTest {

    PayPal payPal = new PayPal();
    Check check = new Check();

    @Test
    public void testGetSet_Id(){
        payPal.setId(867);

        long expected = 867;
        long actual = payPal.getId();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_payerName(){
        payPal.setPayerName("Kenneth Turpin");

        String expected = "Kenneth Turpin";
        String actual = payPal.getPayerName();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetSet_Email(){
        payPal.setEmail("iloveZipCode867@live.com");

        String expected = "iloveZipCode867@live.com";
        String actual = payPal.getEmail();

        Assert.assertEquals(expected, actual);
    }


    @Test
    public void testGet_ShortDescription(){

        payPal.setId(459);
        payPal.setPayerName("Judar");
        payPal.setEmail("tmmmp@activision.com");

        String expected = "Paypal Judar tmmmp@activision.com";
        String actual = "Paypal " + payPal.getPayerName() + " " + payPal.getEmail();

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testCompareTo(){

        //given
        payPal.setPayerName("Ken");
        payPal.setEmail("peace_459@live.com");
      //  payPal.setId(888);

        check.setPayerName("Ken");
        check.setAccountNumber("8674591");
      //  check.setRoutingNumber("45678987654");
      //  check.setId(888);


        String x = payPal.getShortDescription();
        String y = check.getShortDescription();


        boolean actual = false;

        if(x.compareTo(y) > 0){
            actual = true;
        }

        Assert.assertTrue(actual = true);
    }
}
