package com.zipcoder.payment;

import org.junit.Test;

import static junit.framework.TestCase.assertEquals;

public class PaymentPresenterTest {

    @Test
    public void test_toString_with_no_payment(){

        Payment[] payments = new Payment[0];
        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "";

        String actual = presenter.toString(payments);

        assertEquals(expected, actual);

    }

    @Test
    public void test_toString_with_multiple_payments(){

        Payment[] payments = new Payment[2];
        Payment payPal = new PayPal(4, "Tia Mowry", "tia@mowry.com");
        Payment check = new Check(81, "Tia Mowry", "11432543", "9936275");

        payments[0] = payPal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Check Tia Mowry ***4551\nPaypal Tia Mowry tia@mowry.com\n";

        String actual = presenter.toString(payments);
        assertEquals(expected, actual);

    }

    @Test
    public void test_toStringByPayerName_with_multiple_payments(){

        Payment[] payments = new Payment[2];
        Payment payPal = new PayPal(4, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81, "Tia Mowry", "11432543", "2273080");

        payments[0] = payPal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Paypal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringByPayerName(payments);
        assertEquals(expected, actual);

    }

    @Test
    public void test_toStringById(){

        Payment[] payments = new Payment[2];
        Payment payPal = new PayPal(120, "Tamara Mowry", "tamara@mowry.com");
        Payment check = new Check(81, "Tia Mowry", "11432543", "134344551");

        payments[0] = payPal;
        payments[1] = check;

        PaymentPresenter presenter = new PaymentPresenter();
        String expected = "Paypal Tamara Mowry tamara@mowry.com\nCheck Tia Mowry ***4551\n";

        String actual = presenter.toStringById(payments);
        assertEquals(expected, actual);

    }
}
